//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;

int x=-8,y=-8;
int do_wygranej=36;

bool kolizja(TImage * pilka, TImage * cegla)
{
    if (pilka->Left>=cegla->Left-pilka->Width &&
        pilka->Left <= cegla->Left+cegla->Width &&
        pilka->Top>= cegla->Top-pilka->Height &&
        pilka->Top <= cegla ->Top+cegla ->Height)
        {return true; }
        else return false;
    ;
}

//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------


void __fastcall TForm1::TimerPilkaTimer(TObject *Sender)
{
        b->Left+=x;
        b->Top+=y;


        //odbij od lewej sciany
        if(b->Left-5 <= tlo->Left) x=-x;

        //odbij od górnej sciany
        if(b->Top-5 <= tlo->Top) y=-y;

        //odbij od lewej sciany
        if(b->Left+b->Width+5 > tlo->Width) x=-x;

        //skucie sie
        if(b->Top >= p ->Top+p->Height+15)
        {
        TimerPilka->Enabled = false;
        b->Visible=false;
        Button1->Caption = "Pora¿ka! Jeszcze raz!";
        Button1->Visible=true;

        } else if ( b->Left >p->Left-b->Width/2 && b->Left < p->Left+p->Width &&
        b->Top+b->Height>p->Top)
        {     if(y>0) y=-y; }
        //blok1
        if(kolizja(b,Image1)==true && Image1->Visible==true)
        {x=-x; y=-y;Image1->Visible=false;do_wygranej--;}
        //blok2
        if(kolizja(b,Image2)==true && Image2->Visible==true)
        {x=-x; y=-y;Image2->Visible=false;do_wygranej--;}
        //blok3
        if(kolizja(b,Image3)==true && Image3->Visible==true)
        {x=-x; y=-y;Image3->Visible=false;do_wygranej--;}
        //blok4
        if(kolizja(b,Image4)==true && Image4->Visible==true)
        {x=-x; y=-y;Image4->Visible=false;do_wygranej--;}
        //blok5
        if(kolizja(b,Image5)==true && Image5->Visible==true)
        {x=-x; y=-y;Image5->Visible=false;do_wygranej--;}
        //blok6
        if(kolizja(b,Image6)==true && Image6->Visible==true)
        {x=-x; y=-y;Image6->Visible=false;do_wygranej--;}
        //blok7
        if(kolizja(b,Image7)==true && Image7->Visible==true)
        {x=-x; y=-y;Image7->Visible=false;do_wygranej--;}
        //blok8
        if(kolizja(b,Image8)==true && Image8->Visible==true)
        {x=-x; y=-y;Image8->Visible=false;do_wygranej--;}
        //blok9
        if(kolizja(b,Image9)==true && Image9->Visible==true)
        {x=-x; y=-y;Image9->Visible=false;do_wygranej--;}
        //blok10
        if(kolizja(b,Image10)==true && Image10->Visible==true)
        {x=-x; y=-y;Image10->Visible=false;do_wygranej--;}
        //blok11
        if(kolizja(b,Image11)==true && Image11->Visible==true)
        {x=-x; y=-y;Image11->Visible=false;do_wygranej--;}
        //blok12
        if(kolizja(b,Image12)==true && Image12->Visible==true)
        {x=-x; y=-y;Image12->Visible=false;do_wygranej--;}
        //blok13
        if(kolizja(b,Image13)==true && Image13->Visible==true)
        {x=-x; y=-y;Image13->Visible=false;do_wygranej--;}
        //blok14
        if(kolizja(b,Image14)==true && Image14->Visible==true)
        {x=-x; y=-y;Image14->Visible=false;do_wygranej--;}
        //blok15
        if(kolizja(b,Image15)==true && Image15->Visible==true)
        {x=-x; y=-y;Image15->Visible=false;do_wygranej--;}
        //blok16
        if(kolizja(b,Image16)==true && Image16->Visible==true)
        {x=-x; y=-y;Image16->Visible=false;do_wygranej--;}
        //blok17
        if(kolizja(b,Image17)==true && Image17->Visible==true)
        {x=-x; y=-y;Image17->Visible=false;do_wygranej--;}
        //blok18
        if(kolizja(b,Image18)==true && Image18->Visible==true)
        {x=-x; y=-y;Image18->Visible=false;do_wygranej--;}
        //blok19
        if(kolizja(b,Image19)==true && Image19->Visible==true)
        {x=-x; y=-y;Image19->Visible=false;do_wygranej--;}
        //blok20
        if(kolizja(b,Image20)==true && Image20->Visible==true)
        {x=-x; y=-y;Image20->Visible=false;do_wygranej--;}
        //blok21
        if(kolizja(b,Image21)==true && Image21->Visible==true)
        {x=-x; y=-y;Image21->Visible=false;do_wygranej--;}
        //blok22
        if(kolizja(b,Image22)==true && Image22->Visible==true)
        {x=-x; y=-y;Image22->Visible=false;do_wygranej--;}
        //blok23
        if(kolizja(b,Image23)==true && Image23->Visible==true)
        {x=-x; y=-y;Image23->Visible=false;do_wygranej--;}
        //blok24
        if(kolizja(b,Image24)==true && Image24->Visible==true)
        {x=-x; y=-y;Image24->Visible=false;do_wygranej--;}
        //blok25
        if(kolizja(b,Image25)==true && Image25->Visible==true)
        {x=-x; y=-y;Image25->Visible=false;do_wygranej--;}
        //blok26
        if(kolizja(b,Image26)==true && Image26->Visible==true)
        {x=-x; y=-y;Image26->Visible=false;do_wygranej--;}
        //blok27
        if(kolizja(b,Image27)==true && Image27->Visible==true)
        {x=-x; y=-y;Image27->Visible=false;do_wygranej--;}
        //blok28
        if(kolizja(b,Image28)==true && Image28->Visible==true)
        {x=-x; y=-y;Image28->Visible=false;do_wygranej--;}
        //blok29
        if(kolizja(b,Image29)==true && Image29->Visible==true)
        {x=-x; y=-y;Image29->Visible=false;do_wygranej--;}
        //blok30
        if(kolizja(b,Image30)==true && Image30->Visible==true)
        {x=-x; y=-y;Image30->Visible=false;do_wygranej--;}
        //blok31
        if(kolizja(b,Image31)==true && Image31->Visible==true)
        {x=-x; y=-y;Image31->Visible=false;do_wygranej--;}
        //blok32
        if(kolizja(b,Image32)==true && Image32->Visible==true)
        {x=-x; y=-y;Image32->Visible=false;do_wygranej--;}
        //blok33
        if(kolizja(b,Image33)==true && Image33->Visible==true)
        {x=-x; y=-y;Image33->Visible=false;do_wygranej--;}
        //blok34
        if(kolizja(b,Image34)==true && Image34->Visible==true)
        {x=-x; y=-y;Image34->Visible=false;do_wygranej--;}
        //blok35
        if(kolizja(b,Image35)==true && Image35->Visible==true)
        {x=-x; y=-y;Image35->Visible=false;do_wygranej--;}
        //blok36
        if(kolizja(b,Image36)==true && Image36->Visible==true)
        {x=-x; y=-y;Image36->Visible=false;do_wygranej--;}


        if(do_wygranej<=0)
        {
        TimerPilka->Enabled=false;
        b->Visible=false;
        Button1->Caption = "Wygrana! Jeszcze raz!";
        Button1->Visible=true;
        }

}
//---------------------------------------------------------------------------
void __fastcall TForm1::plewoTimer(TObject *Sender)
{
if(p->Left>10)p->Left-=20;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::pprawoTimer(TObject *Sender)
{
if(p->Left+p->Width < tlo->Width-20) p-> Left += 20;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormKeyDown(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
    if(Key==VK_LEFT) plewo->Enabled=true;
    if(Key==VK_RIGHT) pprawo->Enabled=true;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormKeyUp(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
  if(Key==VK_LEFT) plewo->Enabled=false;
  if(Key==VK_RIGHT) pprawo->Enabled=false;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
        b->Left = 50;
        b->Top=50;
        b->Visible=true;
        x=-8;y=-8;
        TimerPilka->Enabled=true;

        Button1->Visible=false;
        do_wygranej=36;
        Image1->Visible=true;Image2->Visible=true;Image3->Visible=true;Image4->Visible=true;
        Image5->Visible=true;Image6->Visible=true;Image7->Visible=true;Image8->Visible=true;
        Image9->Visible=true;Image10->Visible=true;Image11->Visible=true;Image12->Visible=true;
        Image13->Visible=true;Image14->Visible=true;Image15->Visible=true;Image16->Visible=true;
        Image17->Visible=true;Image18->Visible=true;Image19->Visible=true;Image20->Visible=true;
        Image21->Visible=true;Image22->Visible=true;Image23->Visible=true;Image24->Visible=true;
        Image25->Visible=true;Image26->Visible=true;Image27->Visible=true;Image28->Visible=true;
        Image29->Visible=true;Image30->Visible=true;Image31->Visible=true;Image32->Visible=true;
        Image33->Visible=true;Image34->Visible=true;Image35->Visible=true;Image36->Visible=true;
}
//---------------------------------------------------------------------------




